diff --git a/core/connectors/usb_con.c b/core/connectors/usb_con.c
index 1835b1ef..3f09178f 100644
--- a/core/connectors/usb_con.c
+++ b/core/connectors/usb_con.c
@@ -222,6 +222,32 @@ static struct
         .size = XONE_USB_INTERRUPT_PACKET_SIZE
       }
     }
+  },
+  [C_TYPE_XBOX_PAD] =
+  {
+    .name = XBOX_DEVICE_NAME,
+    .ids =
+    {
+        { .vendor = XBOX_VENDOR, .product = XBOX_PRODUCT }
+    },
+    .configuration = 1,
+    .endpoints =
+    {
+      .in =
+      {
+        .address = XBOX_USB_INTERRUPT_ENDPOINT_IN | USB_DIR_IN,
+        .size = XBOX_USB_INTERRUPT_PACKET_SIZE,
+        .reports =
+        {
+          .nb = 0,
+        }
+      },
+      .out =
+      {
+        .address = XBOX_USB_INTERRUPT_ENDPOINT_OUT | USB_DIR_OUT,
+        .size = XBOX_USB_INTERRUPT_PACKET_SIZE
+      }
+    }
   }
 };
 
diff --git a/shared/controller/include/xbox.h b/shared/controller/include/xbox.h
index ea1838d9..cb2324af 100644
--- a/shared/controller/include/xbox.h
+++ b/shared/controller/include/xbox.h
@@ -8,6 +8,15 @@
 
 #include <defs.h>
 
+#define XBOX_USB_INTERRUPT_ENDPOINT_IN  1
+#define XBOX_USB_INTERRUPT_ENDPOINT_OUT 2
+#define XBOX_USB_INTERRUPT_PACKET_SIZE 32
+
+#define XBOX_DEVICE_NAME "Xbox Controller S"
+
+#define XBOX_VENDOR  0x045e
+#define XBOX_PRODUCT 0x0289
+
 #define XBOX_UP_MASK    0x01
 #define XBOX_DOWN_MASK  0x02
 #define XBOX_LEFT_MASK  0x04
diff --git a/shared/controller/src/xbox.c b/shared/controller/src/xbox.c
index c1da859c..7e5f4577 100644
--- a/shared/controller/src/xbox.c
+++ b/shared/controller/src/xbox.c
@@ -146,8 +146,8 @@ static unsigned int build_report(int axis[AXIS_MAX], s_report_packet report[MAX_
 static s_controller controller =
 {
   .name = "XboxPad",
-  .vid = 0x045e,
-  .pid = 0x0202,
+  .vid = XBOX_VENDOR,
+  .pid = XBOX_PRODUCT,
   .refresh_period = { .min_value = 4000, .default_value = 8000 },
   .auth_required = 0,
   .axes = axes,
